REST API Articles

Page 4 of 5

Creating Variables using Pre Request Script using Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 4K+ Views

We can create variables using Pre-Request Script in Postman. We can set, update, or clear variables prior to the execution of the actual request. To set an Environment variable, we have to add the below script under the Pre-Request Script tab.postman.setEnvironmentVariable(name of variable, value of variable)To set a Global variable, we have to add the below script under the Pre-Request Script tab.postman.setGlobalVariable(name of variable, value of variable)Step1 − Select an Environment – Environment_Test from the No Environment dropdown.Step2 − In the address bar enter {{URL}} (an Environment variable available to the Environment_Test). Hover over {{URL}} to find the Scope of ...

Read More

How to Specify the Path to save Newman report on Jenkins using Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 744 Views

We can specify the path to save Newman's report on Jenkins. Jenkins reports are available in various formats and can be managed by appending flags in the build commands. Besides, we can mention the path of the directory where the reports shall get saved with the help of these build commands.The steps to specify the path to save Newman reports on Jenkins are listed below −As a pre-condition, Jenkins should be established in the system. The steps to work with Jenkins are available in the link − https://www.tutorialspoint.com/jenkins/index.htm. Moreover, the Newman should be installed in the system and a Collection ...

Read More

What is Postman Console?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 785 Views

The Postman Console can be opened from the Postman application View menu Show Postman Console. Or using the shortcut Ctrl+Alt+C.Postman Console WindowInitially the message – No logs yet gets reflected in the Postman Console. There is an option to search for logs in the Console. We can clear all previous logs with the Clear button. Also, we have the option to filter all the levels of the Logs like Error, Log, Info and Warning from the All Logs dropdown.Every network request sent gets logged in the Postman Console. Once a request is sent, we can get the Response Body, code, ...

Read More

What is Pre-Request Script in Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 1K+ Views

The Pre-Request Script is used to run a JavaScript prior to the execution of a request. By incorporating a Pre-Request Script for a Collection, request or a folder, we can execute precondition steps like defining a variable, Parameters, Headers, Response, or logging console output.We can include a Pre-Request Script to set the order of execution of requests within a Collection. A Pre-Request Script can also handle a scenario in which a value yielded from the request one has to be fed to the next request or the value yielded from the request one has to be processed before moving to ...

Read More

How to run Collection Runner in Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 820 Views

We can run Collection Runner in Postman with the help of the below steps −Click on the Runner menu in the Postman application.The Collection Runner window gets launched.Click on the Collection name from the section – Choose a collection or folder.Choose an Environment from the Environment list box and enter the number of Iterations. Also, we can set a delay time in milliseconds.We have to select a file type from the Data field if we are utilizing data from a file. Then click on the Run Collection1 button.The Collection Runner result page gets opened. The tests get triggered as per ...

Read More

Postman with Newman & Jenkins

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 508 Views

We can integrate Postman with Newman and Jenkins. Newman is used to verify and execute a Collection. To integrate Newman and Jenkins, we have to follow the below steps −Step1 − We have to complete the installation and configuration of Jenkins. The steps to perform this task is discussed in details in the below link −https://www.tutorialspoint.com/jenkins/jenkins_installation.htmStep2 − We have to install npm and Nodejs. For installation of Nodejs can be done from the below link −https://nodejs.org/en/download/current/Step3 − The npm is allocated with Nodejs so once we download the Nodejs, the npm gets downloaded automatically.Step4 − We have to install Newman ...

Read More

How to Use WebDriver Javascript Executor to Navigate to a URL using Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 1K+ Views

We can use the Selenium webdriver JavaScript Executor to navigate to a URL. Selenium can run JavaScript commands by using the executeScript method.The parameters to be passed to the executeScript method to navigate to a URL is - window.location = \'"+s+"\'. Here, s is the variable which stores the link of the page to navigate.SyntaxJavascriptExecutor js = (JavascriptExecutor) driver; String s = "https://www.tutorialspoint.com/about/about_careers.htm"; String scrpt = "window.location = \'"+s+"\'"; js.executeScript(scrpt);Code Implementationimport org.openqa.selenium.By; import org.openqa.selenium.WebDriver; import org.openqa.selenium.WebElement; import org.openqa.selenium.chrome.ChromeDriver; import java.util.concurrent.TimeUnit; import org.openqa.selenium.JavascriptExecutor; public class LnkJSNavigate{    public static void main(String[] args) {       System.setProperty("webdriver.chrome.driver", "C:\Users\ghs6kor\Desktop\Java      \chromedriver.exe"); ...

Read More

How to Run WebDriver in Headless Mode using Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 418 Views

We can run webdriver in headless mode. This is achieved with the HTMLUnitDriver which is the fastest webdriver among all the other browser drivers.Post Selenium 2.53 version, the HTMLUnitDriver jar should be added explicitly in the project. To add the required dependency, the below steps need to be followed −Navigate to − https://github.com/SeleniumHQ/htmlunit-driver/releases.Click on the jar marked in the below image.Right-click on the project and choose the option Build path. Then click on Configure Build Path.Click on Java Build Path and select the Libraries tab. Click on the Add External JARs button. Then add the downloaded HTMLUnitDriver jar. Finally, click ...

Read More

How to use dynamic GUID in Postman?

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 4K+ Views

We can use dynamic GUID in Postman. This can be utilized in the request URL, Body or Headers by simply adding the value {{$guid}}. It does not need any declaration or initialization.Thus {{$guid}} can be used directly in Postman without any requirement of prior processing of the variable. Postman has support for dynamic variables. GUID is one such instance.We need not allocate memory or value for this variable. The syntax is {{$guid}}. Besides GUID, there are other dynamic variables like randomInt, timestamp, and so on in Postman.Usage of Dynamic GUID in URLUrl − https://www.tutorialspoint.com/index.htm?n={{$guid}}The above image shows the usage of ...

Read More

Manually Generating GUID in Postman

Debomita Bhattacharjee
Debomita Bhattacharjee
Updated on 25-Jun-2021 3K+ Views

We can manually generate GUID in Postman with the help of the steps listed below −Step1 − Input the endpoint − https://www.tutorialspoint.com/index.htm in the address bar.Step2 − Add the below script under the Pre-request Script tab −var u= require('uuid') var ud = u.v4() console.log(ud)In the above script, require is used in JavaScript for loading a module. Then, the version 4 of the GUID is stored in the variable ud. Finally, the generated GUID is printed in the console.It must be remembered that we cannot use a variable with name guid within a Pre-request Script in Postman. However, the guid can ...

Read More
Showing 31–40 of 48 articles
Advertisements